Mandrake Linux Security Advisory : ipsec-tools (MDKSA-2006:020)

Critical Nessus Plugin ID 20809


The remote Mandrake Linux host is missing one or more security updates.


The Internet Key Exchange version 1 (IKEv1) implementation (isakmp_agg.c) in ipsec-tools racoon before 0.6.3, when running in aggressive mode, allows remote attackers to cause a denial of service (null dereference and crash) via crafted IKE packets, as demonstrated by the PROTOS ISAKMP Test Suite for IKEv1.

The updated packages have been patched to correct this problem.


Update the affected packages.

Plugin Details

Severity: Critical

ID: 20809

File Name: mandrake_MDKSA-2006-020.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2006/01/26

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:ipsec-tools, p-cpe:/a:mandriva:linux:lib64ipsec-tools0, p-cpe:/a:mandriva:linux:lib64ipsec0, p-cpe:/a:mandriva:linux:lib64ipsec0-devel, p-cpe:/a:mandriva:linux:libipsec-tools0, p-cpe:/a:mandriva:linux:libipsec0, p-cpe:/a:mandriva:linux:libipsec0-devel, cpe:/o:mandrakesoft:mandrake_linux:10.1, cpe:/o:mandriva:linux:2006, x-cpe:/o:mandrakesoft:mandrake_linux:le2005

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2006/01/25

Reference Information

CVE: CVE-2005-3666, CVE-2005-3667, CVE-2005-3668, CVE-2005-3732

MDKSA: 2006:020